# Network Information
output "vpc" {
  description = "AWS VPC ID for the created VPC"
  value       = module.vpc.vpc_id
}

# BIG-IP Information
output "bigip_instance_ids" {
  value = flatten(module.bigip[*].bigip_instance_ids)
}

output "bigip_mgmt_public_ips" {
  value = flatten(module.bigip[*].mgmt_public_ips)
}

output "bigip_mgmt_port" {
  value = module.bigip[*].bigip_mgmt_port
}

output "mgmt_public_dns" {
  value = flatten(module.bigip[*].mgmt_public_dns)
}

output "private_addresses" {
  value = flatten(module.bigip[*].private_addresses)
}

output "bigip_password" {
  description = "BIG-IP management password"
  value       = module.bigip[*].bigip_password
}

output "bigip_nic_ids" {
  description = "BIG-IP network interface IDs"
  value       = flatten(module.bigip[*].bigip_nic_ids["public_private"])
}

# Jumpbox information
output "jumphost_ip" {
  description = "ip address of jump host"
  value       = module.jumphost.public_ip
}
/*
output "juiceshop_ip" {
  value = module.jumphost.juiceshop_ips[*].public_ip
}

output "grafana_ip" {
  value = module.jumphost.grafana_ips[*].public_ip
}
*/
# Instance Information
output "ec2_key_name" {
  description = "the key used to communication with ec2 instances"
  value       = var.ec2_key_name
}

output "external_priv_ips" {
    description = "List of BIG-IP private addresses"
    value       = flatten([for i in range(length(module.bigip.*.private_addresses)) : module.bigip.*.private_addresses[i]["public_private"]["private_ip"]])
  }